%% Analyse wave attenuation data of all foreshores in the Westerschelde based on Vaklodingen and SWAN analysis
close all; clear all; clc;

%% Load and summarize data
addpath('M:\Documents\PhD\Scripts\MATLAB\Chapter1');

%---Zuidgors--- #Transects=11 (9 effective) --- #Years=37 ---
ZUI.ScN = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\normative_rough\Zuidgors_S250\Zuidgors_S250.mat')
ZUI.ScD = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_noveg\Zuidgors_S250\Zuidgors_S250.mat');
ZUI.ScDV = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_veg\Zuidgors_S250\Zuidgors_S250.mat');
ZUI.input = load('M:\Documents\PhD\Scripts\MATLAB\Chapter1\mat_exports\Final\Zuidgors_S250.mat');

for i = 1:9
    ZUI.result_length(i) = length(ZUI.ScN.result(i).year(1).Hsig)*5;
    for j = 1:37
        ZUI.ScN.result_matr_Hsig(j,i) = min(ZUI.ScN.result(i).year(j).Hsig);
        if ~isempty(find...
                (ZUI.ScN.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.h_daily,1)-1)
            ZUI.ScN.result_matr_Hsig_MHWS(j,i) =...
                ZUI.ScN.result(i).year(j).Hsig(find...
                (ZUI.ScN.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.h_daily,1)-1);
        else
            ZUI.ScN.result_matr_Hsig_MHWS(j,i) =...
                ZUI.ScN.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (ZUI.ScN.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.MLWS,1))
            ZUI.ScN.result_matr_Hsig_MLWS(j,i) =...
                ZUI.ScN.result(i).year(j).Hsig(find...
                (ZUI.ScN.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.MLWS,1));
        else
            ZUI.ScN.result_matr_Hsig_MLWS(j,i) =...
                ZUI.ScN.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (ZUI.ScN.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.veg_edge,1)-1)
            ZUI.ScN.result_matr_Hsig_vegedge(j,i) =...
                ZUI.ScN.result(i).year(j).Hsig(find...
                (ZUI.ScN.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.veg_edge,1)-1);
        else
            ZUI.ScN.result_matr_Hsig_vegedge(j,i) =...
                ZUI.ScN.result(i).year(j).Hsig(end);
        end
        
        ZUI.ScD.result_matr_Hsig(j,i) = min(ZUI.ScD.result(i).year(j).Hsig);
        if ~isempty(find...
                (ZUI.ScD.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.h_daily,1)-1)
            ZUI.ScD.result_matr_Hsig_MHWS(j,i) =...
                ZUI.ScD.result(i).year(j).Hsig(find...
                (ZUI.ScD.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.h_daily,1)-1);
        else
            ZUI.ScD.result_matr_Hsig_MHWS(j,i) =...
                ZUI.ScD.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (ZUI.ScD.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.MLWS,1))
            ZUI.ScD.result_matr_Hsig_MLWS(j,i) =...
                ZUI.ScD.result(i).year(j).Hsig(find...
                (ZUI.ScD.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.MLWS,1));
        else
            ZUI.ScD.result_matr_Hsig_MLWS(j,i) =...
                ZUI.ScD.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (ZUI.ScD.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.veg_edge,1)-1)
            ZUI.ScD.result_matr_Hsig_vegedge(j,i) =...
                ZUI.ScD.result(i).year(j).Hsig(find...
                (ZUI.ScD.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.veg_edge,1)-1);
        else
            ZUI.ScD.result_matr_Hsig_vegedge(j,i) =...
                ZUI.ScD.result(i).year(j).Hsig(end);
        end
        
        ZUI.ScDV.result_matr_Hsig(j,i) = min(ZUI.ScDV.result(i).year(j).Hsig);
        if ~isempty(find...
                (ZUI.ScDV.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.h_daily,1)-1)
            ZUI.ScDV.result_matr_Hsig_MHWS(j,i) =...
                ZUI.ScDV.result(i).year(j).Hsig(find...
                (ZUI.ScDV.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.h_daily,1)-1);
        else
            ZUI.ScDV.result_matr_Hsig_MHWS(j,i) =...
                ZUI.ScDV.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (ZUI.ScDV.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.MLWS,1))
            ZUI.ScDV.result_matr_Hsig_MLWS(j,i) =...
                ZUI.ScDV.result(i).year(j).Hsig(find...
                (ZUI.ScDV.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.MLWS,1));
        else
            ZUI.ScDV.result_matr_Hsig_MLWS(j,i) =...
                ZUI.ScDV.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (ZUI.ScDV.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.veg_edge,1)-1)
            ZUI.ScDV.result_matr_Hsig_vegedge(j,i) =...
                ZUI.ScDV.result(i).year(j).Hsig(find...
                (ZUI.ScDV.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.veg_edge,1)-1);
        else
            ZUI.ScDV.result_matr_Hsig_vegedge(j,i) =...
                ZUI.ScDV.result(i).year(j).Hsig(end);
        end
        
        ZUI.result_veglength(j,i) = nansum(ZUI.input.Zuidgors_S250.Veg{i}(j,:))*5;
        ZUI.result_relveglength(j,i) = (ZUI.result_veglength(j,i)/ZUI.result_length(i)).*100;
        ZUI.result_barelength(j,i) =...
            length(find(ZUI.ScN.result(i).year(j).Botlev<-ZUI.input.Zuidgors_S250.MLWS &...
            ZUI.ScN.result(i).year(j).Botlev>-ZUI.input.Zuidgors_S250.veg_edge))*5;
    end
end

ZUI.result_trans_relveglength = min(ZUI.result_relveglength);
ZUI.result_mm_trans_relveglength =...
    [min(ZUI.result_trans_relveglength),max(ZUI.result_trans_relveglength)];
ZUI.result_mean_trans_relveglength =...
    mean(ZUI.result_trans_relveglength);

ZUI.ScN.result_matr_Hsig(ZUI.ScN.result_matr_Hsig<0) = 0;
ZUI.ScN.result_matr_Hsig_MHWS(ZUI.ScN.result_matr_Hsig_MHWS<0) = 0;
ZUI.ScN.result_matr_WA = (1-ZUI.ScN.result_matr_Hsig./1.6550).*100;
ZUI.ScN.result_matr_WA_MHWS =...
    (ZUI.ScN.result_matr_Hsig_MLWS./1.6550-ZUI.ScN.result_matr_Hsig_MHWS./1.6550).*100;
ZUI.ScN.result_matr_WA_bar =...
    (ZUI.ScN.result_matr_Hsig_MLWS./1.6550-ZUI.ScN.result_matr_Hsig_vegedge./1.6550).*100;
ZUI.ScN.result_matr_WA_veg =...
    (ZUI.ScN.result_matr_Hsig_vegedge./1.6550-ZUI.ScN.result_matr_Hsig_MHWS./1.6550).*100;
ZUI.ScN.result_trans_WA = min(ZUI.ScN.result_matr_WA_MHWS);
ZUI.ScN.result_mm_WA = [min(ZUI.ScN.result_trans_WA),max(ZUI.ScN.result_trans_WA)];
ZUI.ScN.result_mean_WA = mean(ZUI.ScN.result_trans_WA);

ZUI.ScD.result_matr_Hsig(ZUI.ScD.result_matr_Hsig<0) = 0;
ZUI.ScD.result_matr_Hsig_MHWS(ZUI.ScD.result_matr_Hsig_MHWS<0) = 0;
ZUI.ScD.result_matr_WA = (1-ZUI.ScD.result_matr_Hsig./0.2).*100;
ZUI.ScD.result_matr_WA_MHWS =...
    (ZUI.ScD.result_matr_Hsig_MLWS./0.2-ZUI.ScD.result_matr_Hsig_MHWS./0.2).*100;
ZUI.ScD.result_matr_WA_bar =...
    (ZUI.ScD.result_matr_Hsig_MLWS./0.2-ZUI.ScD.result_matr_Hsig_vegedge./0.2).*100;
ZUI.ScD.result_matr_WA_veg =...
    (ZUI.ScD.result_matr_Hsig_vegedge./0.2-ZUI.ScD.result_matr_Hsig_MHWS./0.2).*100;
ZUI.ScD.result_trans_WA = nanmin(ZUI.ScD.result_matr_WA_MHWS);
ZUI.ScD.result_mm_WA = [min(ZUI.ScD.result_trans_WA),max(ZUI.ScD.result_trans_WA)];
ZUI.ScD.result_mean_WA = nanmean(ZUI.ScD.result_trans_WA);

ZUI.ScDV.result_matr_Hsig(ZUI.ScDV.result_matr_Hsig<0) = 0;
ZUI.ScDV.result_matr_Hsig_MHWS(ZUI.ScDV.result_matr_Hsig_MHWS<0) = 0;
ZUI.ScDV.result_matr_WA = (1-ZUI.ScDV.result_matr_Hsig./0.2).*100;
ZUI.ScDV.result_matr_WA_MHWS =...
    (ZUI.ScDV.result_matr_Hsig_MLWS./0.2-ZUI.ScDV.result_matr_Hsig_MHWS./0.2).*100;
ZUI.ScDV.result_matr_WA_bar =...
    (ZUI.ScDV.result_matr_Hsig_MLWS./0.2-ZUI.ScDV.result_matr_Hsig_vegedge./0.2).*100;
ZUI.ScDV.result_matr_WA_veg =...
    (ZUI.ScDV.result_matr_Hsig_vegedge./0.2-ZUI.ScDV.result_matr_Hsig_MHWS./0.2).*100;
ZUI.ScDV.result_trans_WA = nanmin(ZUI.ScDV.result_matr_WA_MHWS);
ZUI.ScDV.result_mm_WA = [min(ZUI.ScDV.result_trans_WA),max(ZUI.ScDV.result_trans_WA)];
ZUI.ScDV.result_mean_WA = nanmean(ZUI.ScDV.result_trans_WA);

%---Baarland--- #Transects=7 (3 effective) --- #Years=37 ---
BAA.ScN = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\normative_rough\Baarland_S250\Baarland_S250.mat')
BAA.ScD = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_noveg\Baarland_S250\Baarland_S250.mat');
BAA.ScDV = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_veg\Baarland_S250\Baarland_S250.mat');
BAA.input = load('M:\Documents\PhD\Scripts\MATLAB\Chapter1\mat_exports\Final\Baarland_S250.mat');

for i = 1:3
    BAA.result_length(i) = length(BAA.ScN.result(i).year(1).Hsig)*5;
    for j = 1:37
        BAA.ScN.result_matr_Hsig(j,i) = min(BAA.ScN.result(i).year(j).Hsig);
        if ~isempty(find...
                (BAA.ScN.result(i).year(j).Botlev<-BAA.input.Baarland_S250.h_daily,1)-1)
            BAA.ScN.result_matr_Hsig_MHWS(j,i) =...
                BAA.ScN.result(i).year(j).Hsig(find...
                (BAA.ScN.result(i).year(j).Botlev<-BAA.input.Baarland_S250.h_daily,1)-1);
        else
            BAA.ScN.result_matr_Hsig_MHWS(j,i) =...
                BAA.ScN.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (BAA.ScN.result(i).year(j).Botlev<-BAA.input.Baarland_S250.MLWS,1))
            BAA.ScN.result_matr_Hsig_MLWS(j,i) =...
                BAA.ScN.result(i).year(j).Hsig(find...
                (BAA.ScN.result(i).year(j).Botlev<-BAA.input.Baarland_S250.MLWS,1));
        else
            BAA.ScN.result_matr_Hsig_MLWS(j,i) =...
                BAA.ScN.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (BAA.ScN.result(i).year(j).Botlev<-BAA.input.Baarland_S250.veg_edge,1)-1)
            BAA.ScN.result_matr_Hsig_vegedge(j,i) =...
                BAA.ScN.result(i).year(j).Hsig(find...
                (BAA.ScN.result(i).year(j).Botlev<-BAA.input.Baarland_S250.veg_edge,1)-1);
        else
            BAA.ScN.result_matr_Hsig_vegedge(j,i) =...
                BAA.ScN.result(i).year(j).Hsig(end);
        end
        
        BAA.ScD.result_matr_Hsig(j,i) = min(BAA.ScD.result(i).year(j).Hsig);
        if ~isempty(find...
                (BAA.ScD.result(i).year(j).Botlev<-BAA.input.Baarland_S250.h_daily,1)-1)
            BAA.ScD.result_matr_Hsig_MHWS(j,i) =...
                BAA.ScD.result(i).year(j).Hsig(find...
                (BAA.ScD.result(i).year(j).Botlev<-BAA.input.Baarland_S250.h_daily,1)-1);
        else
            BAA.ScD.result_matr_Hsig_MHWS(j,i) =...
                BAA.ScD.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (BAA.ScD.result(i).year(j).Botlev<-BAA.input.Baarland_S250.MLWS,1))
            BAA.ScD.result_matr_Hsig_MLWS(j,i) =...
                BAA.ScD.result(i).year(j).Hsig(find...
                (BAA.ScD.result(i).year(j).Botlev<-BAA.input.Baarland_S250.MLWS,1));
        else
            BAA.ScD.result_matr_Hsig_MLWS(j,i) =...
                BAA.ScD.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (BAA.ScD.result(i).year(j).Botlev<-BAA.input.Baarland_S250.veg_edge,1)-1)
            BAA.ScD.result_matr_Hsig_vegedge(j,i) =...
                BAA.ScD.result(i).year(j).Hsig(find...
                (BAA.ScD.result(i).year(j).Botlev<-BAA.input.Baarland_S250.veg_edge,1)-1);
        else
            BAA.ScD.result_matr_Hsig_vegedge(j,i) =...
                BAA.ScD.result(i).year(j).Hsig(end);
        end
        
        BAA.ScDV.result_matr_Hsig(j,i) = min(BAA.ScDV.result(i).year(j).Hsig);
        if ~isempty(find...
                (BAA.ScDV.result(i).year(j).Botlev<-BAA.input.Baarland_S250.h_daily,1)-1)
            BAA.ScDV.result_matr_Hsig_MHWS(j,i) =...
                BAA.ScDV.result(i).year(j).Hsig(find...
                (BAA.ScDV.result(i).year(j).Botlev<-BAA.input.Baarland_S250.h_daily,1)-1);
        else
            BAA.ScDV.result_matr_Hsig_MHWS(j,i) =...
                BAA.ScDV.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (BAA.ScDV.result(i).year(j).Botlev<-BAA.input.Baarland_S250.MLWS,1))
            BAA.ScDV.result_matr_Hsig_MLWS(j,i) =...
                BAA.ScDV.result(i).year(j).Hsig(find...
                (BAA.ScDV.result(i).year(j).Botlev<-BAA.input.Baarland_S250.MLWS,1));
        else
            BAA.ScDV.result_matr_Hsig_MLWS(j,i) =...
                BAA.ScDV.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (BAA.ScDV.result(i).year(j).Botlev<-BAA.input.Baarland_S250.veg_edge,1)-1)
            BAA.ScDV.result_matr_Hsig_vegedge(j,i) =...
                BAA.ScDV.result(i).year(j).Hsig(find...
                (BAA.ScDV.result(i).year(j).Botlev<-BAA.input.Baarland_S250.veg_edge,1)-1);
        else
            BAA.ScDV.result_matr_Hsig_vegedge(j,i) =...
                BAA.ScDV.result(i).year(j).Hsig(end);
        end
        BAA.result_veglength(j,i) = nansum(BAA.input.Baarland_S250.Veg{i}(j,:))*5;
        BAA.result_relveglength(j,i) = (BAA.result_veglength(j,i)/BAA.result_length(i)).*100;
        BAA.result_barelength(j,i) =...
            length(find(BAA.ScN.result(i).year(j).Botlev<-BAA.input.Baarland_S250.MLWS &...
            BAA.ScN.result(i).year(j).Botlev>-BAA.input.Baarland_S250.veg_edge))*5;
    end
end

BAA.result_trans_relveglength = min(BAA.result_relveglength);
BAA.result_mm_trans_relveglength =...
    [min(BAA.result_trans_relveglength),max(BAA.result_trans_relveglength)];
BAA.result_mean_trans_relveglength =...
    mean(BAA.result_trans_relveglength);

BAA.ScN.result_matr_Hsig(BAA.ScN.result_matr_Hsig<0) = NaN;
BAA.ScN.result_matr_Hsig_MHWS(BAA.ScN.result_matr_Hsig_MHWS<0) = NaN;
BAA.ScN.result_matr_WA = (1-BAA.ScN.result_matr_Hsig./1.7200).*100;
BAA.ScN.result_matr_WA_MHWS =...
    (BAA.ScN.result_matr_Hsig_MLWS./1.7200-BAA.ScN.result_matr_Hsig_MHWS./1.7200).*100;
BAA.ScN.result_matr_WA_bar =...
    (BAA.ScN.result_matr_Hsig_MLWS./1.7200-BAA.ScN.result_matr_Hsig_vegedge./1.7200).*100;
BAA.ScN.result_matr_WA_veg =...
    (BAA.ScN.result_matr_Hsig_vegedge./1.7200-BAA.ScN.result_matr_Hsig_MHWS./1.7200).*100;
BAA.ScN.result_trans_WA = min(BAA.ScN.result_matr_WA_MHWS);
BAA.ScN.result_mm_WA = [min(BAA.ScN.result_trans_WA(1:3)),max(BAA.ScN.result_trans_WA(1:3))];
BAA.ScN.result_mean_WA = mean(BAA.ScN.result_trans_WA);

BAA.ScD.result_matr_Hsig(BAA.ScD.result_matr_Hsig<0) = NaN;
BAA.ScD.result_matr_Hsig_MHWS(BAA.ScD.result_matr_Hsig_MHWS<0) = NaN;
BAA.ScD.result_matr_WA = (1-BAA.ScD.result_matr_Hsig./0.2).*100;
BAA.ScD.result_matr_WA_MHWS =...
    (BAA.ScD.result_matr_Hsig_MLWS./0.2-BAA.ScD.result_matr_Hsig_MHWS./0.2).*100;
BAA.ScD.result_matr_WA_bar =...
    (BAA.ScD.result_matr_Hsig_MLWS./0.2-BAA.ScD.result_matr_Hsig_vegedge./0.2).*100;
BAA.ScD.result_matr_WA_veg =...
    (BAA.ScD.result_matr_Hsig_vegedge./0.2-BAA.ScD.result_matr_Hsig_MHWS./0.2).*100;
BAA.ScD.result_trans_WA = min(BAA.ScD.result_matr_WA_MHWS);
BAA.ScD.result_mm_WA = [min(BAA.ScD.result_trans_WA(1:3)),max(BAA.ScD.result_trans_WA(1:3))];
BAA.ScD.result_mean_WA = mean(BAA.ScD.result_trans_WA);

BAA.ScDV.result_matr_Hsig(BAA.ScDV.result_matr_Hsig<0) = NaN;
BAA.ScDV.result_matr_Hsig_MHWS(BAA.ScDV.result_matr_Hsig_MHWS<0) = NaN;
BAA.ScDV.result_matr_WA = (1-BAA.ScDV.result_matr_Hsig./0.2).*100;
BAA.ScDV.result_matr_WA_MHWS =...
    (BAA.ScDV.result_matr_Hsig_MLWS./0.2-BAA.ScDV.result_matr_Hsig_MHWS./0.2).*100;
BAA.ScDV.result_matr_WA_bar =...
    (BAA.ScDV.result_matr_Hsig_MLWS./0.2-BAA.ScDV.result_matr_Hsig_vegedge./0.2).*100;
BAA.ScDV.result_matr_WA_veg =...
    (BAA.ScDV.result_matr_Hsig_vegedge./0.2-BAA.ScDV.result_matr_Hsig_MHWS./0.2).*100;
BAA.ScDV.result_trans_WA = min(BAA.ScDV.result_matr_WA_MHWS);
BAA.ScDV.result_mm_WA = [min(BAA.ScDV.result_trans_WA(1:3)),max(BAA.ScDV.result_trans_WA(1:3))];
BAA.ScDV.result_mean_WA = mean(BAA.ScDV.result_trans_WA);

%---Zimmermanpolder--- #Transects=6 (5 effective) --- #Years=51 ---
ZIM.ScN = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\normative_rough\Zimmermanpolder_S250\Zimmermanpolder_S250.mat')
ZIM.ScD = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_noveg\Zimmermanpolder_S250\Zimmermanpolder_S250.mat');
ZIM.ScDV = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_veg\Zimmermanpolder_S250\Zimmermanpolder_S250.mat');
ZIM.input = load('M:\Documents\PhD\Scripts\MATLAB\Chapter1\mat_exports\Final\Zimmermanpolder_S250.mat');

for i = 1:5
    ZIM.result_length(i) = length(ZIM.ScN.result(i).year(1).Hsig)*5;
    for j = 1:51
        ZIM.ScN.result_matr_Hsig(j,i) = min(ZIM.ScN.result(i).year(j).Hsig);
        if ~isempty(find...
                (ZIM.ScN.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.h_daily,1)-1)
            ZIM.ScN.result_matr_Hsig_MHWS(j,i) =...
                ZIM.ScN.result(i).year(j).Hsig(find...
                (ZIM.ScN.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.h_daily,1)-1);
        else
            ZIM.ScN.result_matr_Hsig_MHWS(j,i) =...
                ZIM.ScN.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (ZIM.ScN.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.MLWS,1))
            ZIM.ScN.result_matr_Hsig_MLWS(j,i) =...
                ZIM.ScN.result(i).year(j).Hsig(find...
                (ZIM.ScN.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.MLWS,1));
        else
            ZIM.ScN.result_matr_Hsig_MLWS(j,i) =...
                ZIM.ScN.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (ZIM.ScN.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.veg_edge,1)-1)
            ZIM.ScN.result_matr_Hsig_vegedge(j,i) =...
                ZIM.ScN.result(i).year(j).Hsig(find...
                (ZIM.ScN.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.veg_edge,1)-1);
        else
            ZIM.ScN.result_matr_Hsig_vegedge(j,i) =...
                ZIM.ScN.result(i).year(j).Hsig(end);
        end
        
        ZIM.ScD.result_matr_Hsig(j,i) = min(ZIM.ScD.result(i).year(j).Hsig);
        if ~isempty(find...
                (ZIM.ScD.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.h_daily,1)-1)
            ZIM.ScD.result_matr_Hsig_MHWS(j,i) =...
                ZIM.ScD.result(i).year(j).Hsig(find...
                (ZIM.ScD.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.h_daily,1)-1);
        else
            ZIM.ScD.result_matr_Hsig_MHWS(j,i) =...
                ZIM.ScD.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (ZIM.ScD.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.MLWS,1))
            ZIM.ScD.result_matr_Hsig_MLWS(j,i) =...
                ZIM.ScD.result(i).year(j).Hsig(find...
                (ZIM.ScD.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.MLWS,1));
        else
            ZIM.ScD.result_matr_Hsig_MLWS(j,i) =...
                ZIM.ScD.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (ZIM.ScD.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.veg_edge,1)-1)
            ZIM.ScD.result_matr_Hsig_vegedge(j,i) =...
                ZIM.ScD.result(i).year(j).Hsig(find...
                (ZIM.ScD.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.veg_edge,1)-1);
        else
            ZIM.ScD.result_matr_Hsig_vegedge(j,i) =...
                ZIM.ScD.result(i).year(j).Hsig(end);
        end
        
        ZIM.ScDV.result_matr_Hsig(j,i) = min(ZIM.ScDV.result(i).year(j).Hsig);
        if ~isempty(find...
                (ZIM.ScDV.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.h_daily,1)-1)
            ZIM.ScDV.result_matr_Hsig_MHWS(j,i) =...
                ZIM.ScDV.result(i).year(j).Hsig(find...
                (ZIM.ScDV.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.h_daily,1)-1);
        else
            ZIM.ScDV.result_matr_Hsig_MHWS(j,i) =...
                ZIM.ScDV.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (ZIM.ScDV.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.MLWS,1))
            ZIM.ScDV.result_matr_Hsig_MLWS(j,i) =...
                ZIM.ScDV.result(i).year(j).Hsig(find...
                (ZIM.ScDV.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.MLWS,1));
        else
            ZIM.ScDV.result_matr_Hsig_MLWS(j,i) =...
                ZIM.ScDV.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (ZIM.ScDV.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.veg_edge,1)-1)
            ZIM.ScDV.result_matr_Hsig_vegedge(j,i) =...
                ZIM.ScDV.result(i).year(j).Hsig(find...
                (ZIM.ScDV.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.veg_edge,1)-1);
        else
            ZIM.ScDV.result_matr_Hsig_vegedge(j,i) =...
                ZIM.ScDV.result(i).year(j).Hsig(end);
        end
        ZIM.result_veglength(j,i) = nansum(ZIM.input.Zimmermanpolder_S250.Veg{i}(j,:))*5;
        ZIM.result_relveglength(j,i) = (ZIM.result_veglength(j,i)/ZIM.result_length(i)).*100;
        ZIM.result_barelength(j,i) =...
            length(find(ZIM.ScN.result(i).year(j).Botlev<-ZIM.input.Zimmermanpolder_S250.MLWS &...
            ZIM.ScN.result(i).year(j).Botlev>-ZIM.input.Zimmermanpolder_S250.veg_edge))*5;
    end
end

ZIM.result_trans_relveglength = min(ZIM.result_relveglength);
ZIM.result_mm_trans_relveglength =...
    [min(ZIM.result_trans_relveglength),max(ZIM.result_trans_relveglength)];
ZIM.result_mean_trans_relveglength =...
    mean(ZIM.result_trans_relveglength);

ZIM.ScN.result_matr_Hsig(ZIM.ScN.result_matr_Hsig<0) = NaN;
ZIM.ScN.result_matr_Hsig_MHWS(ZIM.ScN.result_matr_Hsig_MHWS<0) = NaN;
ZIM.ScN.result_matr_WA = (1-ZIM.ScN.result_matr_Hsig./1.8150).*100;
ZIM.ScN.result_matr_WA_MHWS =...
    (ZIM.ScN.result_matr_Hsig_MLWS./1.8150-ZIM.ScN.result_matr_Hsig_MHWS./1.8150).*100;
ZIM.ScN.result_matr_WA_bar =...
    (ZIM.ScN.result_matr_Hsig_MLWS./1.8150-ZIM.ScN.result_matr_Hsig_vegedge./1.8150).*100;
ZIM.ScN.result_matr_WA_veg =...
    (ZIM.ScN.result_matr_Hsig_vegedge./1.8150-ZIM.ScN.result_matr_Hsig_MHWS./1.8150).*100;
ZIM.ScN.result_trans_WA = min(ZIM.ScN.result_matr_WA_MHWS);
ZIM.ScN.result_mm_WA = [min(ZIM.ScN.result_trans_WA(1:5)),max(ZIM.ScN.result_trans_WA(1:5))];
ZIM.ScN.result_mean_WA = mean(ZIM.ScN.result_trans_WA);

ZIM.ScD.result_matr_Hsig(ZIM.ScD.result_matr_Hsig<0) = NaN;
ZIM.ScD.result_matr_Hsig_MHWS(ZIM.ScD.result_matr_Hsig_MHWS<0) = NaN;
ZIM.ScD.result_matr_WA = (1-ZIM.ScD.result_matr_Hsig./0.2).*100;
ZIM.ScD.result_matr_WA_MHWS =...
    (ZIM.ScD.result_matr_Hsig_MLWS./0.2-ZIM.ScD.result_matr_Hsig_MHWS./0.2).*100;
ZIM.ScD.result_matr_WA_bar =...
    (ZIM.ScD.result_matr_Hsig_MLWS./0.2-ZIM.ScD.result_matr_Hsig_vegedge./0.2).*100;
ZIM.ScD.result_matr_WA_veg =...
    (ZIM.ScD.result_matr_Hsig_vegedge./0.2-ZIM.ScD.result_matr_Hsig_MHWS./0.2).*100;
ZIM.ScD.result_trans_WA = min(ZIM.ScD.result_matr_WA_MHWS);
ZIM.ScD.result_mm_WA = [min(ZIM.ScD.result_trans_WA(1:5)),max(ZIM.ScD.result_trans_WA(1:5))];
ZIM.ScD.result_mean_WA = mean(ZIM.ScD.result_trans_WA);

ZIM.ScDV.result_matr_Hsig(ZIM.ScDV.result_matr_Hsig<0) = NaN;
ZIM.ScDV.result_matr_Hsig_MHWS(ZIM.ScDV.result_matr_Hsig_MHWS<0) = NaN;
ZIM.ScDV.result_matr_WA = (1-ZIM.ScDV.result_matr_Hsig./0.2).*100;
ZIM.ScDV.result_matr_WA_MHWS =...
    (ZIM.ScDV.result_matr_Hsig_MLWS./0.2-ZIM.ScDV.result_matr_Hsig_MHWS./0.2).*100;
ZIM.ScDV.result_matr_WA_bar =...
    (ZIM.ScDV.result_matr_Hsig_MLWS./0.2-ZIM.ScDV.result_matr_Hsig_vegedge./0.2).*100;
ZIM.ScDV.result_matr_WA_veg =...
    (ZIM.ScDV.result_matr_Hsig_vegedge./0.2-ZIM.ScDV.result_matr_Hsig_MHWS./0.2).*100;
ZIM.ScDV.result_trans_WA = min(ZIM.ScDV.result_matr_WA_MHWS);
ZIM.ScDV.result_mm_WA = [min(ZIM.ScDV.result_trans_WA(1:5)),max(ZIM.ScDV.result_trans_WA(1:5))];
ZIM.ScDV.result_mean_WA = mean(ZIM.ScDV.result_trans_WA);

%---Hoofdplaat--- #Transects=6 --- #Years=42 ---
HOO.ScN = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\normative_rough\Hoofdplaat_S250\Hoofdplaat_S250.mat')
HOO.ScD = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_noveg\Hoofdplaat_S250\Hoofdplaat_S250.mat');
HOO.ScDV = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_veg\Hoofdplaat_S250\Hoofdplaat_S250.mat');
HOO.input = load('M:\Documents\PhD\Scripts\MATLAB\Chapter1\mat_exports\Final\Hoofdplaat_S250.mat');

for i = 1:6
    HOO.result_length(i) = length(HOO.ScN.result(i).year(1).Hsig)*5;
    for j = 1:42
        HOO.ScN.result_matr_Hsig(j,i) = min(HOO.ScN.result(i).year(j).Hsig);
        if ~isempty(find...
                (HOO.ScN.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.h_daily,1)-1)
            HOO.ScN.result_matr_Hsig_MHWS(j,i) =...
                HOO.ScN.result(i).year(j).Hsig(find...
                (HOO.ScN.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.h_daily,1)-1);
        else
            HOO.ScN.result_matr_Hsig_MHWS(j,i) =...
                HOO.ScN.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (HOO.ScN.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.MLWS,1))
            HOO.ScN.result_matr_Hsig_MLWS(j,i) =...
                HOO.ScN.result(i).year(j).Hsig(find...
                (HOO.ScN.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.MLWS,1));
        else
            HOO.ScN.result_matr_Hsig_MLWS(j,i) =...
                HOO.ScN.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (HOO.ScN.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.veg_edge,1)-1)
            HOO.ScN.result_matr_Hsig_vegedge(j,i) =...
                HOO.ScN.result(i).year(j).Hsig(find...
                (HOO.ScN.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.veg_edge,1)-1);
        else
            HOO.ScN.result_matr_Hsig_vegedge(j,i) =...
                HOO.ScN.result(i).year(j).Hsig(end);
        end
        
        HOO.ScD.result_matr_Hsig(j,i) = min(HOO.ScD.result(i).year(j).Hsig);
        if ~isempty(find...
                (HOO.ScD.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.h_daily,1)-1)
            HOO.ScD.result_matr_Hsig_MHWS(j,i) =...
                HOO.ScD.result(i).year(j).Hsig(find...
                (HOO.ScD.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.h_daily,1)-1);
        else
            HOO.ScD.result_matr_Hsig_MHWS(j,i) =...
                HOO.ScD.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (HOO.ScD.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.MLWS,1))
            HOO.ScD.result_matr_Hsig_MLWS(j,i) =...
                HOO.ScD.result(i).year(j).Hsig(find...
                (HOO.ScD.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.MLWS,1));
        else
            HOO.ScD.result_matr_Hsig_MLWS(j,i) =...
                HOO.ScD.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (HOO.ScD.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.veg_edge,1)-1)
            HOO.ScD.result_matr_Hsig_vegedge(j,i) =...
                HOO.ScD.result(i).year(j).Hsig(find...
                (HOO.ScD.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.veg_edge,1)-1);
        else
            HOO.ScD.result_matr_Hsig_vegedge(j,i) =...
                HOO.ScD.result(i).year(j).Hsig(end);
        end
        
        HOO.ScDV.result_matr_Hsig(j,i) = min(HOO.ScDV.result(i).year(j).Hsig);
        if ~isempty(find...
                (HOO.ScDV.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.h_daily,1)-1)
            HOO.ScDV.result_matr_Hsig_MHWS(j,i) =...
                HOO.ScDV.result(i).year(j).Hsig(find...
                (HOO.ScDV.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.h_daily,1)-1);
        else
            HOO.ScDV.result_matr_Hsig_MHWS(j,i) =...
                HOO.ScDV.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (HOO.ScDV.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.MLWS,1))
            HOO.ScDV.result_matr_Hsig_MLWS(j,i) =...
                HOO.ScDV.result(i).year(j).Hsig(find...
                (HOO.ScDV.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.MLWS,1));
        else
            HOO.ScDV.result_matr_Hsig_MLWS(j,i) =...
                HOO.ScDV.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (HOO.ScDV.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.veg_edge,1)-1)
            HOO.ScDV.result_matr_Hsig_vegedge(j,i) =...
                HOO.ScDV.result(i).year(j).Hsig(find...
                (HOO.ScDV.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.veg_edge,1)-1);
        else
            HOO.ScDV.result_matr_Hsig_vegedge(j,i) =...
                HOO.ScDV.result(i).year(j).Hsig(end);
        end
        HOO.result_veglength(j,i) = nansum(HOO.input.Hoofdplaat_S250.Veg{i}(j,:))*5;
        HOO.result_relveglength(j,i) = (HOO.result_veglength(j,i)/HOO.result_length(i)).*100;
        HOO.result_barelength(j,i) =...
            length(find(HOO.ScN.result(i).year(j).Botlev<-HOO.input.Hoofdplaat_S250.MLWS &...
            HOO.ScN.result(i).year(j).Botlev>-HOO.input.Hoofdplaat_S250.veg_edge))*5;
    end
end

HOO.result_trans_relveglength = min(HOO.result_relveglength);
HOO.result_mm_trans_relveglength =...
    [min(HOO.result_trans_relveglength),max(HOO.result_trans_relveglength)];
HOO.result_mean_trans_relveglength =...
    mean(HOO.result_trans_relveglength);

HOO.ScN.result_matr_Hsig(HOO.ScN.result_matr_Hsig<0) = NaN;
HOO.ScN.result_matr_Hsig_MHWS(HOO.ScN.result_matr_Hsig_MHWS<0) = NaN;
HOO.ScN.result_matr_WA = (1-HOO.ScN.result_matr_Hsig./2.3600).*100;
HOO.ScN.result_matr_WA_MHWS =...
    (HOO.ScN.result_matr_Hsig_MLWS./2.3600-HOO.ScN.result_matr_Hsig_MHWS./2.3600).*100;
HOO.ScN.result_matr_WA_bar =...
    (HOO.ScN.result_matr_Hsig_MLWS./2.3600-HOO.ScN.result_matr_Hsig_vegedge./2.3600).*100;
HOO.ScN.result_matr_WA_veg =...
    (HOO.ScN.result_matr_Hsig_vegedge./2.3600-HOO.ScN.result_matr_Hsig_MHWS./2.3600).*100;
HOO.ScN.result_trans_WA = min(HOO.ScN.result_matr_WA_MHWS);
HOO.ScN.result_mm_WA = [min(HOO.ScN.result_trans_WA),max(HOO.ScN.result_trans_WA)];
HOO.ScN.result_mean_WA = mean(HOO.ScN.result_trans_WA);

HOO.ScD.result_matr_Hsig(HOO.ScD.result_matr_Hsig<0) = NaN;
HOO.ScD.result_matr_Hsig_MHWS(HOO.ScD.result_matr_Hsig_MHWS<0) = NaN;
HOO.ScD.result_matr_WA = (1-HOO.ScD.result_matr_Hsig./0.2).*100;
HOO.ScD.result_matr_WA_MHWS =...
    (HOO.ScD.result_matr_Hsig_MLWS./0.2-HOO.ScD.result_matr_Hsig_MHWS./0.2).*100;
HOO.ScD.result_matr_WA_bar =...
    (HOO.ScD.result_matr_Hsig_MLWS./0.2-HOO.ScD.result_matr_Hsig_vegedge./0.2).*100;
HOO.ScD.result_matr_WA_veg =...
    (HOO.ScD.result_matr_Hsig_vegedge./0.2-HOO.ScD.result_matr_Hsig_MHWS./0.2).*100;
HOO.ScD.result_trans_WA = min(HOO.ScD.result_matr_WA_MHWS);
HOO.ScD.result_mm_WA = [min(HOO.ScD.result_trans_WA),max(HOO.ScD.result_trans_WA)];
HOO.ScD.result_mean_WA = mean(HOO.ScD.result_trans_WA);

HOO.ScDV.result_matr_Hsig(HOO.ScDV.result_matr_Hsig<0) = NaN;
HOO.ScDV.result_matr_Hsig_MHWS(HOO.ScDV.result_matr_Hsig_MHWS<0) = NaN;
HOO.ScDV.result_matr_WA = (1-HOO.ScDV.result_matr_Hsig./0.2).*100;
HOO.ScDV.result_matr_WA_MHWS =...
    (HOO.ScDV.result_matr_Hsig_MLWS./0.2-HOO.ScDV.result_matr_Hsig_MHWS./0.2).*100;
HOO.ScDV.result_matr_WA_bar =...
    (HOO.ScDV.result_matr_Hsig_MLWS./0.2-HOO.ScDV.result_matr_Hsig_vegedge./0.2).*100;
HOO.ScDV.result_matr_WA_veg =...
    (HOO.ScDV.result_matr_Hsig_vegedge./0.2-HOO.ScDV.result_matr_Hsig_MHWS./0.2).*100;
HOO.ScDV.result_trans_WA = min(HOO.ScDV.result_matr_WA_MHWS);
HOO.ScDV.result_mm_WA = [min(HOO.ScDV.result_trans_WA),max(HOO.ScDV.result_trans_WA)];
HOO.ScDV.result_mean_WA = mean(HOO.ScDV.result_trans_WA);

%---Paulinapolder--- #Transects=7 --- #Years=41 ---
PAU.ScN = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\normative_rough\Paulinapolder_S250\Paulinapolder_S250.mat')
PAU.ScD = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_noveg\Paulinapolder_S250\Paulinapolder_S250.mat');
PAU.ScDV = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_veg\Paulinapolder_S250\Paulinapolder_S250.mat');
PAU.input = load('M:\Documents\PhD\Scripts\MATLAB\Chapter1\mat_exports\Final\Paulinapolder_S250.mat');

for i = 1:7
    PAU.result_length(i) = length(PAU.ScN.result(i).year(1).Hsig)*5;
    for j = 1:41
        PAU.ScN.result_matr_Hsig(j,i) = min(PAU.ScN.result(i).year(j).Hsig);
        if ~isempty(find...
                (PAU.ScN.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.h_daily,1)-1)
            PAU.ScN.result_matr_Hsig_MHWS(j,i) =...
                PAU.ScN.result(i).year(j).Hsig(find...
                (PAU.ScN.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.h_daily,1)-1);
        else
            PAU.ScN.result_matr_Hsig_MHWS(j,i) =...
                PAU.ScN.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (PAU.ScN.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.MLWS,1))
            PAU.ScN.result_matr_Hsig_MLWS(j,i) =...
                PAU.ScN.result(i).year(j).Hsig(find...
                (PAU.ScN.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.MLWS,1));
        else
            PAU.ScN.result_matr_Hsig_MLWS(j,i) =...
                PAU.ScN.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (PAU.ScN.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.veg_edge,1)-1)
            PAU.ScN.result_matr_Hsig_vegedge(j,i) =...
                PAU.ScN.result(i).year(j).Hsig(find...
                (PAU.ScN.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.veg_edge,1)-1);
        else
            PAU.ScN.result_matr_Hsig_vegedge(j,i) =...
                PAU.ScN.result(i).year(j).Hsig(end);
        end
        
        PAU.ScD.result_matr_Hsig(j,i) = min(PAU.ScD.result(i).year(j).Hsig);
        if ~isempty(find...
                (PAU.ScD.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.h_daily,1)-1)
            PAU.ScD.result_matr_Hsig_MHWS(j,i) =...
                PAU.ScD.result(i).year(j).Hsig(find...
                (PAU.ScD.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.h_daily,1)-1);
        else
            PAU.ScD.result_matr_Hsig_MHWS(j,i) =...
                PAU.ScD.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (PAU.ScD.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.MLWS,1))
            PAU.ScD.result_matr_Hsig_MLWS(j,i) =...
                PAU.ScD.result(i).year(j).Hsig(find...
                (PAU.ScD.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.MLWS,1));
        else
            PAU.ScD.result_matr_Hsig_MLWS(j,i) =...
                PAU.ScD.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (PAU.ScD.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.veg_edge,1)-1)
            PAU.ScD.result_matr_Hsig_vegedge(j,i) =...
                PAU.ScD.result(i).year(j).Hsig(find...
                (PAU.ScD.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.veg_edge,1)-1);
        else
            PAU.ScD.result_matr_Hsig_vegedge(j,i) =...
                PAU.ScD.result(i).year(j).Hsig(end);
        end
        
        PAU.ScDV.result_matr_Hsig(j,i) = min(PAU.ScDV.result(i).year(j).Hsig);
        if ~isempty(find...
                (PAU.ScDV.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.h_daily,1)-1)
            PAU.ScDV.result_matr_Hsig_MHWS(j,i) =...
                PAU.ScDV.result(i).year(j).Hsig(find...
                (PAU.ScDV.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.h_daily,1)-1);
        else
            PAU.ScDV.result_matr_Hsig_MHWS(j,i) =...
                PAU.ScDV.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (PAU.ScDV.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.MLWS,1))
            PAU.ScDV.result_matr_Hsig_MLWS(j,i) =...
                PAU.ScDV.result(i).year(j).Hsig(find...
                (PAU.ScDV.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.MLWS,1));
        else
            PAU.ScDV.result_matr_Hsig_MLWS(j,i) =...
                PAU.ScDV.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (PAU.ScDV.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.veg_edge,1)-1)
            PAU.ScDV.result_matr_Hsig_vegedge(j,i) =...
                PAU.ScDV.result(i).year(j).Hsig(find...
                (PAU.ScDV.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.veg_edge,1)-1);
        else
            PAU.ScDV.result_matr_Hsig_vegedge(j,i) =...
                PAU.ScDV.result(i).year(j).Hsig(end);
        end
        PAU.result_veglength(j,i) = nansum(PAU.input.Paulinapolder_S250.Veg{i}(j,:))*5;
        PAU.result_relveglength(j,i) = (PAU.result_veglength(j,i)/PAU.result_length(i)).*100;
        PAU.result_barelength(j,i) =...
            length(find(PAU.ScN.result(i).year(j).Botlev<-PAU.input.Paulinapolder_S250.MLWS &...
            PAU.ScN.result(i).year(j).Botlev>-PAU.input.Paulinapolder_S250.veg_edge))*5;
    end
end

PAU.result_trans_relveglength = min(PAU.result_relveglength);
PAU.result_mm_trans_relveglength =...
    [min(PAU.result_trans_relveglength),max(PAU.result_trans_relveglength)];
PAU.result_mean_trans_relveglength =...
    mean(PAU.result_trans_relveglength);

PAU.ScN.result_matr_Hsig(PAU.ScN.result_matr_Hsig<0) = NaN;
PAU.ScN.result_matr_Hsig_MHWS(PAU.ScN.result_matr_Hsig_MHWS<0) = NaN;
PAU.ScN.result_matr_WA = (1-PAU.ScN.result_matr_Hsig./2.1450).*100;
PAU.ScN.result_matr_WA_MHWS =...
    (PAU.ScN.result_matr_Hsig_MLWS./2.1450-PAU.ScN.result_matr_Hsig_MHWS./2.1450).*100;
PAU.ScN.result_matr_WA_bar =...
    (PAU.ScN.result_matr_Hsig_MLWS./2.1450-PAU.ScN.result_matr_Hsig_vegedge./2.1450).*100;
PAU.ScN.result_matr_WA_veg =...
    (PAU.ScN.result_matr_Hsig_vegedge./2.1450-PAU.ScN.result_matr_Hsig_MHWS./2.1450).*100;
PAU.ScN.result_trans_WA = min(PAU.ScN.result_matr_WA_MHWS);
PAU.ScN.result_mm_WA = [min(PAU.ScN.result_trans_WA),max(PAU.ScN.result_trans_WA)];
PAU.ScN.result_mean_WA = mean(PAU.ScN.result_trans_WA);

PAU.ScD.result_matr_Hsig(PAU.ScD.result_matr_Hsig<0) = NaN;
PAU.ScD.result_matr_Hsig_MHWS(PAU.ScD.result_matr_Hsig_MHWS<0) = NaN;
PAU.ScD.result_matr_WA = (1-PAU.ScD.result_matr_Hsig./0.2).*100;
PAU.ScD.result_matr_WA_MHWS =...
    (PAU.ScD.result_matr_Hsig_MLWS./0.2-PAU.ScD.result_matr_Hsig_MHWS./0.2).*100;
PAU.ScD.result_matr_WA_bar =...
    (PAU.ScD.result_matr_Hsig_MLWS./0.2-PAU.ScD.result_matr_Hsig_vegedge./0.2).*100;
PAU.ScD.result_matr_WA_veg =...
    (PAU.ScD.result_matr_Hsig_vegedge./0.2-PAU.ScD.result_matr_Hsig_MHWS./0.2).*100;
PAU.ScD.result_trans_WA = min(PAU.ScD.result_matr_WA_MHWS);
PAU.ScD.result_mm_WA = [min(PAU.ScD.result_trans_WA),max(PAU.ScD.result_trans_WA)];
PAU.ScD.result_mean_WA = mean(PAU.ScD.result_trans_WA);

PAU.ScDV.result_matr_Hsig(PAU.ScDV.result_matr_Hsig<0) = NaN;
PAU.ScDV.result_matr_Hsig_MHWS(PAU.ScDV.result_matr_Hsig_MHWS<0) = NaN;
PAU.ScDV.result_matr_WA = (1-PAU.ScDV.result_matr_Hsig./0.2).*100;
PAU.ScDV.result_matr_WA_MHWS =...
    (PAU.ScDV.result_matr_Hsig_MLWS./0.2-PAU.ScDV.result_matr_Hsig_MHWS./0.2).*100;
PAU.ScDV.result_matr_WA_MHWS(PAU.ScDV.result_matr_WA_MHWS==-9) = NaN;
PAU.ScDV.result_matr_WA_bar =...
    (PAU.ScDV.result_matr_Hsig_MLWS./0.2-PAU.ScDV.result_matr_Hsig_vegedge./0.2).*100;
PAU.ScDV.result_matr_WA_bar(PAU.ScDV.result_matr_WA_bar==-9) = NaN;
PAU.ScDV.result_matr_WA_veg =...
    (PAU.ScDV.result_matr_Hsig_vegedge./0.2-PAU.ScDV.result_matr_Hsig_MHWS./0.2).*100;
PAU.ScDV.result_matr_WA_veg(PAU.ScDV.result_matr_WA_veg==-9) = NaN;
PAU.ScDV.result_trans_WA = min(PAU.ScDV.result_matr_WA_MHWS);
PAU.ScDV.result_mm_WA = [min(PAU.ScDV.result_trans_WA),max(PAU.ScDV.result_trans_WA)];
PAU.ScDV.result_mean_WA = mean(PAU.ScDV.result_trans_WA);

%---Hellegatpolder--- #Transects=6 --- #Years=52 ---
HEL.ScN = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\normative_rough\Hellegatpolder_S250\Hellegatpolder_S250.mat')
HEL.ScD = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_noveg\Hellegatpolder_S250\Hellegatpolder_S250.mat');
HEL.ScDV = load('D:\Vaklodingen_Results\AllMarshes\Sim3\sim\production\daily_veg\Hellegatpolder_S250\Hellegatpolder_S250.mat');
HEL.input = load('M:\Documents\PhD\Scripts\MATLAB\Chapter1\mat_exports\Final\Hellegatpolder_S250.mat');

for i = 1:6
    HEL.result_length(i) = length(HEL.ScN.result(i).year(1).Hsig)*5;
    for j = 1:52
        HEL.ScN.result_matr_Hsig(j,i) = min(HEL.ScN.result(i).year(j).Hsig);
        if ~isempty(find...
                (HEL.ScN.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.h_daily,1)-1)
            HEL.ScN.result_matr_Hsig_MHWS(j,i) =...
                HEL.ScN.result(i).year(j).Hsig(find...
                (HEL.ScN.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.h_daily,1)-1);
        else
            HEL.ScN.result_matr_Hsig_MHWS(j,i) =...
                HEL.ScN.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (HEL.ScN.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.MLWS,1))
            HEL.ScN.result_matr_Hsig_MLWS(j,i) =...
                HEL.ScN.result(i).year(j).Hsig(find...
                (HEL.ScN.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.MLWS,1));
        else
            HEL.ScN.result_matr_Hsig_MLWS(j,i) =...
                HEL.ScN.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (HEL.ScN.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.veg_edge,1)-1)
            HEL.ScN.result_matr_Hsig_vegedge(j,i) =...
                HEL.ScN.result(i).year(j).Hsig(find...
                (HEL.ScN.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.veg_edge,1)-1);
        else
            HEL.ScN.result_matr_Hsig_vegedge(j,i) =...
                HEL.ScN.result(i).year(j).Hsig(end);
        end
        
        HEL.ScD.result_matr_Hsig(j,i) = min(HEL.ScD.result(i).year(j).Hsig);
        if ~isempty(find...
                (HEL.ScD.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.h_daily,1)-1)
            HEL.ScD.result_matr_Hsig_MHWS(j,i) =...
                HEL.ScD.result(i).year(j).Hsig(find...
                (HEL.ScD.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.h_daily,1)-1);
        else
            HEL.ScD.result_matr_Hsig_MHWS(j,i) =...
                HEL.ScD.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (HEL.ScD.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.MLWS,1))
            HEL.ScD.result_matr_Hsig_MLWS(j,i) =...
                HEL.ScD.result(i).year(j).Hsig(find...
                (HEL.ScD.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.MLWS,1));
        else
            HEL.ScD.result_matr_Hsig_MLWS(j,i) =...
                HEL.ScD.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (HEL.ScD.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.veg_edge,1)-1)
            HEL.ScD.result_matr_Hsig_vegedge(j,i) =...
                HEL.ScD.result(i).year(j).Hsig(find...
                (HEL.ScD.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.veg_edge,1)-1);
        else
            HEL.ScD.result_matr_Hsig_vegedge(j,i) =...
                HEL.ScD.result(i).year(j).Hsig(end);
        end
        
        HEL.ScDV.result_matr_Hsig(j,i) = min(HEL.ScDV.result(i).year(j).Hsig);
        if ~isempty(find...
                (HEL.ScDV.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.h_daily,1)-1)
            HEL.ScDV.result_matr_Hsig_MHWS(j,i) =...
                HEL.ScDV.result(i).year(j).Hsig(find...
                (HEL.ScDV.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.h_daily,1)-1);
        else
            HEL.ScDV.result_matr_Hsig_MHWS(j,i) =...
                HEL.ScDV.result(i).year(j).Hsig(end);
        end
        
        
        if ~isempty(find...
                (HEL.ScDV.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.MLWS,1))
            HEL.ScDV.result_matr_Hsig_MLWS(j,i) =...
                HEL.ScDV.result(i).year(j).Hsig(find...
                (HEL.ScDV.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.MLWS,1));
        else
            HEL.ScDV.result_matr_Hsig_MLWS(j,i) =...
                HEL.ScDV.result(i).year(j).Hsig(end);
        end
        
        if ~isempty(find...
                (HEL.ScDV.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.veg_edge,1)-1)
            HEL.ScDV.result_matr_Hsig_vegedge(j,i) =...
                HEL.ScDV.result(i).year(j).Hsig(find...
                (HEL.ScDV.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.veg_edge,1)-1);
        else
            HEL.ScDV.result_matr_Hsig_vegedge(j,i) =...
                HEL.ScDV.result(i).year(j).Hsig(end);
        end
        HEL.result_veglength(j,i) = nansum(HEL.input.Hellegatpolder_S250.Veg{i}(j,:))*5;
        HEL.result_relveglength(j,i) = (HEL.result_veglength(j,i)/HEL.result_length(i)).*100;
        HEL.result_barelength(j,i) =...
            length(find(HEL.ScN.result(i).year(j).Botlev<-HEL.input.Hellegatpolder_S250.MLWS &...
            HEL.ScN.result(i).year(j).Botlev>-HEL.input.Hellegatpolder_S250.veg_edge))*5;
    end
end

HEL.result_trans_relveglength = min(HEL.result_relveglength);
HEL.result_mm_trans_relveglength =...
    [min(HEL.result_trans_relveglength),max(HEL.result_trans_relveglength)];
HEL.result_mean_trans_relveglength =...
    mean(HEL.result_trans_relveglength);

HEL.ScN.result_matr_Hsig(HEL.ScN.result_matr_Hsig<0) = NaN;
HEL.ScN.result_matr_Hsig_MHWS(HEL.ScN.result_matr_Hsig_MHWS<0) = NaN;
HEL.ScN.result_matr_WA = (1-HEL.ScN.result_matr_Hsig./2.6500).*100;
HEL.ScN.result_matr_WA_MHWS =...
    (HEL.ScN.result_matr_Hsig_MLWS./2.6500-HEL.ScN.result_matr_Hsig_MHWS./2.6500).*100;
HEL.ScN.result_matr_WA_bar =...
    (HEL.ScN.result_matr_Hsig_MLWS./2.6500-HEL.ScN.result_matr_Hsig_vegedge./2.6500).*100;
HEL.ScN.result_matr_WA_veg =...
    (HEL.ScN.result_matr_Hsig_vegedge./2.6500-HEL.ScN.result_matr_Hsig_MHWS./2.6500).*100;
HEL.ScN.result_trans_WA = min(HEL.ScN.result_matr_WA_MHWS);
HEL.ScN.result_mm_WA = [min(HEL.ScN.result_trans_WA),max(HEL.ScN.result_trans_WA)];
HEL.ScN.result_mean_WA = mean(HEL.ScN.result_trans_WA);

HEL.ScD.result_matr_Hsig(HEL.ScD.result_matr_Hsig<0) = NaN;
HEL.ScD.result_matr_Hsig_MHWS(HEL.ScD.result_matr_Hsig_MHWS<0) = NaN;
HEL.ScD.result_matr_WA = (1-HEL.ScD.result_matr_Hsig./0.2).*100;
HEL.ScD.result_matr_WA_MHWS =...
    (HEL.ScD.result_matr_Hsig_MLWS./0.2-HEL.ScD.result_matr_Hsig_MHWS./0.2).*100;
HEL.ScD.result_matr_WA_bar =...
    (HEL.ScD.result_matr_Hsig_MLWS./0.2-HEL.ScD.result_matr_Hsig_vegedge./0.2).*100;
HEL.ScD.result_matr_WA_veg =...
    (HEL.ScD.result_matr_Hsig_vegedge./0.2-HEL.ScD.result_matr_Hsig_MHWS./0.2).*100;
HEL.ScD.result_trans_WA = min(HEL.ScD.result_matr_WA_MHWS);
HEL.ScD.result_mm_WA = [min(HEL.ScD.result_trans_WA),max(HEL.ScD.result_trans_WA)];
HEL.ScD.result_mean_WA = mean(HEL.ScD.result_trans_WA);

HEL.ScDV.result_matr_Hsig(HEL.ScDV.result_matr_Hsig<0) = NaN;
HEL.ScDV.result_matr_Hsig_MHWS(HEL.ScDV.result_matr_Hsig_MHWS<0) = NaN;
HEL.ScDV.result_matr_WA = (1-HEL.ScDV.result_matr_Hsig./0.2).*100;
HEL.ScDV.result_matr_WA_MHWS =...
    (HEL.ScDV.result_matr_Hsig_MLWS./0.2-HEL.ScDV.result_matr_Hsig_MHWS./0.2).*100;
HEL.ScDV.result_matr_WA_bar =...
    (HEL.ScDV.result_matr_Hsig_MLWS./0.2-HEL.ScDV.result_matr_Hsig_vegedge./0.2).*100;
HEL.ScDV.result_matr_WA_veg =...
    (HEL.ScDV.result_matr_Hsig_vegedge./0.2-HEL.ScDV.result_matr_Hsig_MHWS./0.2).*100;
HEL.ScDV.result_trans_WA = min(HEL.ScDV.result_matr_WA_MHWS);
HEL.ScDV.result_mm_WA = [min(HEL.ScDV.result_trans_WA),max(HEL.ScDV.result_trans_WA)];
HEL.ScDV.result_mean_WA = mean(HEL.ScDV.result_trans_WA);

ZUI.ScN.result_matr_WA(isnan(ZUI.ScN.result_matr_WA)) = 100;
BAA.ScN.result_matr_WA(isnan(BAA.ScN.result_matr_WA)) = 100;
ZIM.ScN.result_matr_WA(isnan(ZIM.ScN.result_matr_WA)) = 100;
HOO.ScN.result_matr_WA(isnan(HOO.ScN.result_matr_WA)) = 100;
PAU.ScN.result_matr_WA(isnan(PAU.ScN.result_matr_WA)) = 100;
HEL.ScN.result_matr_WA(isnan(HEL.ScN.result_matr_WA)) = 100;

%% Manuscript Figure 5
figure;
% Figure settings
YL = [0,3000];
XL = [1955,2015];
bsp = 1.2; % factor for width of subplot
hsp = 1.15; % factor for height of subplo
bf = 20; % width of figure
hf = 20; % height of figure

% ZUI
SP1 = subplot(9,3,[1,4,7,10])
fill([year(ZUI.input.Zuidgors_S250.T{1,1})' flipud(year(ZUI.input.Zuidgors_S250.T{1,1}))'],...
	[min(ZUI.result_barelength'+ZUI.result_veglength')...
	fliplr(max(ZUI.result_barelength'+ZUI.result_veglength'))],...
	[0.4,0.4,0.4],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(ZUI.input.Zuidgors_S250.T{1,1}),...
	min(ZUI.result_barelength'+ZUI.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(ZUI.input.Zuidgors_S250.T{1,1}),...
	max(ZUI.result_barelength'+ZUI.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(ZUI.input.Zuidgors_S250.T{1,1}),...
	mean(ZUI.result_barelength'+ZUI.result_veglength'),...
	'color',[0.4,0.4,0.4],'linewidth',1.5);

fill([year(ZUI.input.Zuidgors_S250.T{1,1})' flipud(year(ZUI.input.Zuidgors_S250.T{1,1}))'],...
	[min(ZUI.result_veglength') fliplr(max(ZUI.result_veglength'))],...
	[96/255,182/255,38/255],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(ZUI.input.Zuidgors_S250.T{1,1}),min(ZUI.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(ZUI.input.Zuidgors_S250.T{1,1}),max(ZUI.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(ZUI.input.Zuidgors_S250.T{1,1}),mean(ZUI.result_veglength'),...
	'color',[96/255,182/255,38/255],'linewidth',1.5);

plot(XL,[mean(mean(ZUI.result_veglength)),mean(mean(ZUI.result_veglength))],...
':','color',[96/255,182/255,38/255],'linewidth',1)
plot(XL,[mean(mean(ZUI.result_barelength + ZUI.result_veglength)),...
mean(mean(ZUI.result_barelength + ZUI.result_veglength))],...
':','color',[0.4,0.4,0.4],'linewidth',1)

text(1960,2500,'ZUI','color','r');
xlim(XL); ylim(YL);
set(gca,'xticklabels',{}); grid on;
SP1.Position(3) = bsp * SP1.Position(3);
SP1.Position(4) = hsp * SP1.Position(4);

% BAA
SP2 = subplot(9,3,[2,5,8,11])
fill([year(BAA.input.Baarland_S250.T{1,1})' flipud(year(BAA.input.Baarland_S250.T{1,1}))'],...
	[min(BAA.result_barelength'+BAA.result_veglength')...
	fliplr(max(BAA.result_barelength'+BAA.result_veglength'))],...
	[0.4,0.4,0.4],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(BAA.input.Baarland_S250.T{1,1}),...
	min(BAA.result_barelength'+BAA.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(BAA.input.Baarland_S250.T{1,1}),...
	max(BAA.result_barelength'+BAA.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(BAA.input.Baarland_S250.T{1,1}),...
	mean(BAA.result_barelength'+BAA.result_veglength'),...
	'color',[0.4,0.4,0.4],'linewidth',1.5);

fill([year(BAA.input.Baarland_S250.T{1,1})' flipud(year(BAA.input.Baarland_S250.T{1,1}))'],...
	[min(BAA.result_veglength') fliplr(max(BAA.result_veglength'))],...
	[96/255,182/255,38/255],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(BAA.input.Baarland_S250.T{1,1}),min(BAA.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(BAA.input.Baarland_S250.T{1,1}),max(BAA.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(BAA.input.Baarland_S250.T{1,1}),mean(BAA.result_veglength'),...
	'color',[96/255,182/255,38/255],'linewidth',1.5);

plot(XL,[mean(mean(BAA.result_veglength)),mean(mean(BAA.result_veglength))],...
':','color',[96/255,182/255,38/255],'linewidth',1)
plot(XL,[mean(mean(BAA.result_barelength + BAA.result_veglength)),...
mean(mean(BAA.result_barelength + BAA.result_veglength))],...
':','color',[0.4,0.4,0.4],'linewidth',1)

text(1960,2500,'BAA','color','r');
xlim(XL); ylim(YL);
set(gca,'xticklabels',{},'yticklabels',{}); grid on;
SP2.Position(3) = bsp * SP2.Position(3);
SP2.Position(4) = hsp * SP2.Position(4);

% ZIM
SP3 = subplot(9,3,[3,6,9,12])
fill([year(ZIM.input.Zimmermanpolder_S250.T{1,1})' flipud(year(ZIM.input.Zimmermanpolder_S250.T{1,1}))'],...
	[min(ZIM.result_barelength'+ZIM.result_veglength')...
	fliplr(max(ZIM.result_barelength'+ZIM.result_veglength'))],...
	[0.4,0.4,0.4],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(ZIM.input.Zimmermanpolder_S250.T{1,1}),...
	min(ZIM.result_barelength'+ZIM.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(ZIM.input.Zimmermanpolder_S250.T{1,1}),...
	max(ZIM.result_barelength'+ZIM.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(ZIM.input.Zimmermanpolder_S250.T{1,1}),...
	mean(ZIM.result_barelength'+ZIM.result_veglength'),...
	'color',[0.4,0.4,0.4],'linewidth',1.5);

fill([year(ZIM.input.Zimmermanpolder_S250.T{1,1})' flipud(year(ZIM.input.Zimmermanpolder_S250.T{1,1}))'],...
	[min(ZIM.result_veglength') fliplr(max(ZIM.result_veglength'))],...
	[96/255,182/255,38/255],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(ZIM.input.Zimmermanpolder_S250.T{1,1}),min(ZIM.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(ZIM.input.Zimmermanpolder_S250.T{1,1}),max(ZIM.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(ZIM.input.Zimmermanpolder_S250.T{1,1}),mean(ZIM.result_veglength'),...
	'color',[96/255,182/255,38/255],'linewidth',1.5);

plot(XL,[mean(mean(ZIM.result_veglength)),mean(mean(ZIM.result_veglength))],...
':','color',[96/255,182/255,38/255],'linewidth',1)
plot(XL,[mean(mean(ZIM.result_barelength + ZIM.result_veglength)),...
mean(mean(ZIM.result_barelength + ZIM.result_veglength))],...
':','color',[0.4,0.4,0.4],'linewidth',1)

text(1960,2500,'ZIM','color','r');
xlim(XL); ylim(YL);
set(gca,'xticklabels',{},'yticklabels',{}); grid on;
SP3.Position(3) = bsp * SP3.Position(3);
SP3.Position(4) = hsp * SP3.Position(4);

SP_leg = subplot(9,3,[13,14,15])
PL_grey = fill([year(ZUI.input.Zuidgors_S250.T{1,1})' flipud(year(ZUI.input.Zuidgors_S250.T{1,1}))'],...
	[min(ZUI.result_barelength'+ZUI.result_veglength')...
	fliplr(max(ZUI.result_barelength'+ZUI.result_veglength'))],...
	[0.4,0.4,0.4],'edgecolor','none','facealpha',0.3)
hold on;
PL_green = fill([year(ZUI.input.Zuidgors_S250.T{1,1})' flipud(year(ZUI.input.Zuidgors_S250.T{1,1}))'],...
	[min(ZUI.result_veglength') fliplr(max(ZUI.result_veglength'))],...
	[96/255,182/255,38/255],'edgecolor','none','facealpha',0.3)
Leg = legend([PL_green, PL_grey],{'salt marsh','total foreshore'},'location','southoutside','orientation','horizontal')
xlim([-1000,-100])
ylim([-1000,-100])
axis off


Leg.Position(1) = SP1.Position(1)
Leg.Position(2) = SP1.Position(2) - 0.058 
Leg.Position(3) = SP3.Position(1) - SP1.Position(1) + SP3.Position(3)

% HOO
SP4 = subplot(9,3,[16,19,22,25])
fill([year(HOO.input.Hoofdplaat_S250.T{1,1})' flipud(year(HOO.input.Hoofdplaat_S250.T{1,1}))'],...
	[min(HOO.result_barelength'+HOO.result_veglength')...
	fliplr(max(HOO.result_barelength'+HOO.result_veglength'))],...
	[0.4,0.4,0.4],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(HOO.input.Hoofdplaat_S250.T{1,1}),...
	min(HOO.result_barelength'+HOO.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(HOO.input.Hoofdplaat_S250.T{1,1}),...
	max(HOO.result_barelength'+HOO.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(HOO.input.Hoofdplaat_S250.T{1,1}),...
	mean(HOO.result_barelength'+HOO.result_veglength'),...
	'color',[0.4,0.4,0.4],'linewidth',1.5);

fill([year(HOO.input.Hoofdplaat_S250.T{1,1})' flipud(year(HOO.input.Hoofdplaat_S250.T{1,1}))'],...
	[min(HOO.result_veglength') fliplr(max(HOO.result_veglength'))],...
	[96/255,182/255,38/255],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(HOO.input.Hoofdplaat_S250.T{1,1}),min(HOO.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(HOO.input.Hoofdplaat_S250.T{1,1}),max(HOO.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(HOO.input.Hoofdplaat_S250.T{1,1}),mean(HOO.result_veglength'),...
	'color',[96/255,182/255,38/255],'linewidth',1.5);

plot(XL,[mean(mean(HOO.result_veglength)),mean(mean(HOO.result_veglength))],...
':','color',[96/255,182/255,38/255],'linewidth',1)
plot(XL,[mean(mean(HOO.result_barelength + HOO.result_veglength)),...
mean(mean(HOO.result_barelength + HOO.result_veglength))],...
':','color',[0.4,0.4,0.4],'linewidth',1)

text(1960,2500,'HOO');
xlim(XL); ylim(YL); grid on;
ylabel('                                                            width of foreshore (part) (m)');
SP4.Position(3) = bsp * SP4.Position(3);
SP4.Position(4) = hsp * SP4.Position(4);


% PAU
SP5 = subplot(9,3,[17,20,23,26])
fill([year(PAU.input.Paulinapolder_S250.T{1,1})' flipud(year(PAU.input.Paulinapolder_S250.T{1,1}))'],...
	[min(PAU.result_barelength'+PAU.result_veglength')...
	fliplr(max(PAU.result_barelength'+PAU.result_veglength'))],...
	[0.4,0.4,0.4],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(PAU.input.Paulinapolder_S250.T{1,1}),...
	min(PAU.result_barelength'+PAU.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(PAU.input.Paulinapolder_S250.T{1,1}),...
	max(PAU.result_barelength'+PAU.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(PAU.input.Paulinapolder_S250.T{1,1}),...
	mean(PAU.result_barelength'+PAU.result_veglength'),...
	'color',[0.4,0.4,0.4],'linewidth',1.5);

fill([year(PAU.input.Paulinapolder_S250.T{1,1})' flipud(year(PAU.input.Paulinapolder_S250.T{1,1}))'],...
	[min(PAU.result_veglength') fliplr(max(PAU.result_veglength'))],...
	[96/255,182/255,38/255],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(PAU.input.Paulinapolder_S250.T{1,1}),min(PAU.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(PAU.input.Paulinapolder_S250.T{1,1}),max(PAU.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(PAU.input.Paulinapolder_S250.T{1,1}),mean(PAU.result_veglength'),...
	'color',[96/255,182/255,38/255],'linewidth',1.5);

plot(XL,[mean(mean(PAU.result_veglength)),mean(mean(PAU.result_veglength))],...
':','color',[96/255,182/255,38/255],'linewidth',1)
plot(XL,[mean(mean(PAU.result_barelength + PAU.result_veglength)),...
mean(mean(PAU.result_barelength + PAU.result_veglength))],...
':','color',[0.4,0.4,0.4],'linewidth',1)

text(1960,2500,'PAU');
xlim(XL); ylim(YL);
set(gca,'yticklabels',{}); grid on;
xlabel('time (years)');
SP5.Position(3) = bsp * SP5.Position(3);
SP5.Position(4) = hsp * SP5.Position(4);

% HEL
SP6 = subplot(9,3,[18,21,24,27])
fill([year(HEL.input.Hellegatpolder_S250.T{1,1})' flipud(year(HEL.input.Hellegatpolder_S250.T{1,1}))'],...
	[min(HEL.result_barelength'+HEL.result_veglength')...
	fliplr(max(HEL.result_barelength'+HEL.result_veglength'))],...
	[0.4,0.4,0.4],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(HEL.input.Hellegatpolder_S250.T{1,1}),...
	min(HEL.result_barelength'+HEL.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(HEL.input.Hellegatpolder_S250.T{1,1}),...
	max(HEL.result_barelength'+HEL.result_veglength'),...
	'color',[0.4,0.4,0.4]);
plot(year(HEL.input.Hellegatpolder_S250.T{1,1}),...
	mean(HEL.result_barelength'+HEL.result_veglength'),...
	'color',[0.4,0.4,0.4],'linewidth',1.5);

fill([year(HEL.input.Hellegatpolder_S250.T{1,1})' flipud(year(HEL.input.Hellegatpolder_S250.T{1,1}))'],...
	[min(HEL.result_veglength') fliplr(max(HEL.result_veglength'))],...
	[96/255,182/255,38/255],'edgecolor','none','facealpha',0.3)
hold on;
plot(year(HEL.input.Hellegatpolder_S250.T{1,1}),min(HEL.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(HEL.input.Hellegatpolder_S250.T{1,1}),max(HEL.result_veglength'),...
	'color',[96/255,182/255,38/255]);
plot(year(HEL.input.Hellegatpolder_S250.T{1,1}),mean(HEL.result_veglength'),...
	'color',[96/255,182/255,38/255],'linewidth',1.5);

plot(XL,[mean(mean(HEL.result_veglength)),mean(mean(HEL.result_veglength))],...
':','color',[96/255,182/255,38/255],'linewidth',1)
plot(XL,[mean(mean(HEL.result_barelength + HEL.result_veglength)),...
mean(mean(HEL.result_barelength + HEL.result_veglength))],...
':','color',[0.4,0.4,0.4],'linewidth',1)

text(1960,2500,'HEL');
xlim(XL); ylim(YL);
set(gca,'yticklabels',{}); grid on;
SP6.Position(3) = bsp * SP6.Position(3);
SP6.Position(4) = hsp * SP6.Position(4);


figuurdimensies(bf,hf)
cd M:\Documents\PhD\Scripts\MATLAB\Chapter1\altmany-export_fig-412662f
%export_fig MS_Fig5 -deps -r864 -transparent -p1

